%define version		1.2.1
%define release		1

Summary: A high-dynamic-range image file library.
Name: OpenEXR
Version: %{version}
Release: %{release}
Group: System Environment/Libraries
License: Modified BSD
URL: http://www.openexr.org/
Source: http://savannah.nongnu.org/download/openexr/%{name}.pkg/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
OpenEXR is an image file format and library developed by Industrial Light & Magic, and later released to the public. It provides support for high dynamic range and a 16-bit floating point "half" data type which is compatible with the half data type in the Cg programming language.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the static libraries and header files needed for
developing applications with OpenEXR.


%prep
%setup -q -n OpenEXR-%{version}

%build
%ifarch i686
CFLAGS="-O2 -march=i686"
CXXFLAGS="-O2 -march=i686"
%else
CFLAGS="-O2"
CXXFLAGS="-O2"
%endif
./configure --prefix=%{_prefix} $OPENEXR_RPMBUILD_OPTS
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# new redhat versions don't use .la
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README 
%doc doc/*.html doc/*.css doc/*.png
%{_libdir}/*.so.*
%{_bindir}/exrdisplay
%{_bindir}/exrheader

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/openexr.m4 
%doc -P IlmImfExamples/*.cpp IlmImfExamples/*.h

